> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apilens.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Picture



## OpenAPI

````yaml https://api.apilens.ai/api/v1/openapi.json post /api/v1/users/me/picture
openapi: 3.1.0
info:
  title: APILens API
  version: 1.0.0
  description: API Observability Platform
servers: []
security: []
paths:
  /api/v1/users/me/picture:
    post:
      tags:
        - Users
      summary: Upload Picture
      operationId: api_users_router_upload_picture
      parameters: []
      requestBody:
        content:
          multipart/form-data:
            schema:
              properties:
                file:
                  format: binary
                  title: File
                  type: string
              required:
                - file
              title: FileParams
              type: object
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PictureResponse'
      security:
        - JWTBearer: []
components:
  schemas:
    PictureResponse:
      properties:
        picture:
          title: Picture
          type: string
        message:
          title: Message
          type: string
      required:
        - picture
        - message
      title: PictureResponse
      type: object
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````